#include <iostream>
#include <vector>
using namespace std;

int main()
{
    int n;
    cin>>n;
    vector<int> a,b;
    vector<int> g(2*n);
    for(int i=0;i<2*n;i++){
        g[i]=i+1;
    }
    int i=0,j=2*n-1;
    if(n%2==0){
        while(a.size()<n){
            a.push_back(g[i]);
            a.push_back(g[j]);
            i++;
            j--;
        }
        while(b.size()<n){
            b.push_back(g[i]);
            b.push_back(g[j]);
            i++;
            j--;
        }
    }
    else{
        while(a.size()<n-1){
            a.push_back(g[i]);
            a.push_back(g[j]);
            i++;
            j--;
        }
        a.push_back(g[i]);
        i++;
        while(b.size()<n-1){
            b.push_back(g[j]);
            b.push_back(g[i]);
            i++;
            j--;
        }
        b.push_back(g[j]);
    }
    for(int i=0;i<n;i++){
        cout<<a[i]<<" ";
    }
    cout<<"\n";
    for(int j=0;j<n;j++){
        cout<<b[j]<<" ";
    }
    cout<<"\n";
}